import { OnInit, AfterViewInit, ElementRef, ChangeDetectorRef } from '@angular/core';
import { DatePipe } from '@angular/common';
import * as Chart from 'chart.js';
import { ChartOption } from './chart-control.model';
export declare class ChartControlComponent implements OnInit, AfterViewInit {
    private ref;
    datePipe: DatePipe;
    private initialized;
    private pChartOption;
    set chartOption(chartOption: ChartOption);
    chartRef: ElementRef;
    chartWrapperRef: ElementRef;
    chartAxisRef: ElementRef;
    chartAreaWrapperExtendRef: ElementRef;
    chart: Chart;
    visible: boolean;
    height: string;
    private ctx;
    constructor(ref: ChangeDetectorRef, datePipe: DatePipe);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private renderChart;
    private renderPieChart;
    private renderBarChart;
    private renderLineChart;
    private renderBarLineChart;
}
